[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

## 2.2 Options

simulavr supports the following options:

`--help`
`-h`

  Print an informative help message describing the options and available device types, then exit.

`--debug`
`-D`

  Print assembly instruction mnemonics and program counter (‘`PC`’) to output as device program is running.

`--version`
`-v`

  Print out the version number and exit.

`--gdbserver`
`-g`

  Run as a gdbserver process.

`--gdb-debug`
`-G`

  Print out messages for debugging the gdb remote serial protocol interface.

`--port <port>`
`-p`

  Listen for gdb connection on TCP port. If not specified, a default will be used. Run ‘`simulavr --help`’ to see what the default is. This option is ignored if the ‘`--gdbserver`’ is not specified.

`--device <dev>`
`-d`

  Specify device type. The device types available for use with a specific version of simulavr can be obtained using the ‘`--list-devices`’ option.

`--eeprom-image <img>`
`-e`

  Specify an optional eeprom image file to be loaded into the device's eeprom memory space.

`--eeprom-type <type>`
`-E`

  Specify the type of the eeprom image file. If not specified, the default is binary.

`--flash-type <type>`
`-F`

  Specify the type of the flash image file. If not specified, the default is binary.

`--list-devices`
`-L`

  Prints a list of supported devices to stdout and exits.

`--disp-prog <prog>`
`-P`

  Specify a program to be used to display register and memory information in real time as a child process. The display program can also be specified by setting the `SIM_DISP_PROG` environment variable.

`--without-xterm`
`-X`

  Don't start display coprocess program in an xterm. This is useful if the display coprocess supplies it's own window for input and output, such as a process which uses a GUI.

`--core-dump`
`-C`

  Dump a core memory image to file on exit. This isn't as useful as it sounds. The display coprocess mechanism is much more informative.

`--clock-freq <freq>`
`-c`

  Set the simulated mcu clock freqency in Hz.

`--breakpoint <addr>`
`-B`

  Set a breakpoint at <addr>. Note that the break address is interpreted as a byte address instead of a word address. This makes it easier on the user since binutils, gcc and gdb all work in terms of byte addresses. The address can be specified in any base (decimal, hexidecimal, octal, etc).

[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ]

This document was generated by eweddington on November, 7 2008 using texi2html 1.78.